<?lsp

--' We get cfgT and domain from ENV (set in index.lsp)
local cfgT,domain = cfgT,domain

local d
if request:method() == "POST" then
   d = app.xssfilter(request:data())
   if #d.username > 2 and #d.password == 32 then
      cfgT.credentials={username=d.username, password={d.password}}
      app.cfgfDomain(domain,cfgT)
      response:sendredirect("./?d="..domain,true)
   end
end

?>
<!doctype html>
<html lang="en">
<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <link type="text/css" href="../LightController.css" rel="stylesheet">
   <script type='text/javascript' src='/rtl/jquery.js'></script> 
   <script type='text/javascript' src='setcred.js'></script> 
   <script src="/rtl/sha1.js"></script>
   <script src="/rtl/spark-md5.min.js"></script>
</head>

<body class="logged-in-page">
<div class="container">
<div class="content-wrap">
<h1 class="page-title">Set New Credentials</h1>
<p class="breadcrumb"><a href="../">Light Controller</a> > <a href="./">Admin</a> > New</p>
<form method="post" id="credentials_form">
  <div class="domain-container">
    <div class="form-content-wrapper">
      <div class="form-image">
        <img src="../images/candy.png" alt="" />
      </div>
      <div class="field_container">
        <div class="cred-username">
          <input type="text" autofocus="autofocus" name="username" placeholder="New User" value="<?lsp=d and d.username or ''?>" />        
        </div>
        <div class="cred-password">
          <input type="password" autocomplete="off" name="password1" placeholder="New Password" />
        </div>
        <div class="fieldset">
          <input type="password" autocomplete="off" name="password2" placeholder="Confirm Password" />
          <div class="button">
            <input type="button" value="Confirm" />
          </div>
        </div>
      </div>
    </div>
  </div>
</form>
</div>
<div class="footer">
  <a target="help" id="helpb" href="../doc/manual.html#admcred"><img src="../images/help.png" alt="Help" /></a>
  <a href="../doc/"><img src="../images/footer-logo.png" alt="Real Time Logic" /></a>
  
</div>
</div>
</body>
</html>
