<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link type="text/css" href="../LightController.css" rel="stylesheet">
    <script type='text/javascript' src='/rtl/jquery.js'></script> 
    <script type='text/javascript' src='index.js'></script> 
</head>
<body class="logged-in-page manage-domains">
<div class="container">
<div class="content-wrap">
	<h1 class="page-title">Manage Domains</h1>
	<p class="breadcrumb"><a href="../">Light Controller</a> > Admin
	<div class="domain-container">
	<div class="form-content-wrapper">
		<div class="form-image">
			<img src="../images/domains.png" alt="" />
		</div>
		<div class="domain-list">
			<div class="domain-names">Domain List</div>
			<?lsp
			
local function authenticate()
   if not app.getAdmAuth then response:sendredirect"../" end
   local abort = not app.getAdmAuth():authenticate(request, "/")
   if request:user() then request:session().isAdmin=true end
   if abort then response:abort() end
end

if request:user() then
   -- Prevent homeowner from accessing 'admin' user interface
   if not request:session().isAdmin then
      request:logout()
      authenticate()
   end
else
   authenticate()
end

if not request:header"X-Requested-With" then -- if not AJAX
   app.uTypeCookie(request, "admin", true) -- Set
end

data=request:data()
local domains = app.cfgfDomains()
if data.newdomain then
   domains = app.addDomain(data.newdomain) or domains
end
if data.d then
   domain=domains[data.d] and data.d
   if domain then
      cfgT=app.cfgfDomain(domain)
      if not cfgT.credentials then response:forward".setcred.lsp" end
      response:forward".domain.lsp"
   end
end

local atLeastOne=false;
for k in pairs(domains) do atLeastOne=true break end
if atLeastOne then
   response:write'<table>'
   for domain in pairs(domains) do
      response:write('<tr><td><a href="./?d=',
                     ba.urlencode(domain),
                     '">',domain,'</a></td></tr>')
   end
   response:write'</table>'
else
   response:write'<p>You have no registered domains!</p>'
end
			
?>
		</div>
	</div>
		<form method="post" id="add_domain_form">
		  <div class="add-domain-names">Add Domain</div>
		  <fieldset>
			<input type="text" name="newdomain" placeholder="Enter Domain Name Here" />
			<div class="button">
				<input type="submit" value="Save" />
			</div>
		  </fieldset>
		</form>
	</div>
</div>

<div class="footer">
  <a target="help" id="helpb" href="../doc/manual.html#adm"><img src="../images/help.png" alt="Help" /></a>
  <a href="../doc/"><img src="../images/footer-logo.png" alt="Real Time Logic" /></a>
  
</div>
</div>
</body>
</html>
