<?lsp

if not request:user() then
   response:senderror(404)
   return
end


-- JavaScript code with LSP tags, for dynamic JS generation.

local sn=request:sockname()
local domain=request:data"d" or "ERROR"
local dnsOK = ba.cmpaddr(ba.socket.toip(domain) or "", sn) or ba.socket.toip(domain,true) == sn

?>
$(function() {
    var tstButRunning=false;
    function tstbtn(e) {
        e.preventDefault();
        $(tstButRunning ? "#pong" : "#ping")[0].play();
        if(tstButRunning) return;
        tstButRunning=true;
        var self=$(this);
        self.hide();
        self.parent().append('<div class="loader"><div class="loader__figure"></div></div>');
        $.post(window.location.href, {devtst:self.attr("key")});
        setTimeout(function() {
            $(".loader").remove();
            self.show();
            tstButRunning=false;
        }, 8000);
        return false;
    };
    $(".tstbtn").click(tstbtn);

    var onchangeTrigger=false;
    function onchange() {
        if(onchangeTrigger) return;
        onchangeTrigger=true;
        $("input").prop("disabled", true);
        $("select").prop("disabled", true);
        var f=$(this).closest('form');
        f.find("input").prop("disabled", false);
        f.find("select").prop("disabled", false);
        f.find('input[name="savebut"]').
            after('<input type="submit" name="cancelbut" value="Cancel">');
    };
    $("input").change(onchange);
    $("select").change(onchange);
    $("#termbut").click(function() {
        return confirm("Do you want to terminate the service for the homeowner and delete all data associated with the homeowner?");
    });

    $("input[name='resetbut']").click(function() {
        return confirm("Do you want to reset the device and force device into Access Point Mode?");
    });

    var updateTime;
    function checkUpdateTime(set) {
        if(onchangeTrigger) return;
        $.getJSON(window.location.href, {updateTime:true}, function(data) {
            if(set == true) {
                updateTime=data.updateTime;
            }
            else if(updateTime != data.updateTime) {
                if(onchangeTrigger) return;
                location.reload();
            }
        });
    };
    checkUpdateTime(true);
    setInterval(checkUpdateTime,4000);
<?lsp if not dnsOK then ?>
    $("#dlinks a").click(function() {
        $("#pong")[0].play();
        alert("Note that the DNS for the domain name may not have been configured correctly. Make sure you configure the DNS for the domain to point to the IP address: <?lsp=sn?>");
    });
<?lsp end ?>
});
