<?lsp
local cfgT=app.cfgfDomain(request:header"Host")
local notBefore,notAfter
if cfgT and cfgT.time then
   notBefore=cfgT.time.notBefore
   notAfter=cfgT.time.notAfter
   if notBefore == notAfter then
      notBefore,notAfter=nil,nil
   end
end
local userType = app.uTypeCookie(request)
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<link type="text/css" href="../LightController.css" rel="stylesheet">

   <script src="/rtl/jquery.js"></script>
   <script src="/rtl/sha1.js"></script>
   <script src="/rtl/spark-md5.min.js"></script>
</head>

<body class="logged-in-page">
<div class="container">
<div class="content-wrap">
<h1 class="page-title">Light Controller Login</h1>
<p class="breadcrumb"><a href="../">Light Controller</a> &gt; <?lsp=request:uri() == "/admin/" and "Admin Login" or "Homeowner Login"?> </p>
<?lsp
if authinfo.username then
   response:write'<p>Your account or password is incorrect.</p>'
   if userType then
      if request:uri() == "/admin/" then
         if userType ~= "admin" then
            response:write'<p>Are you looking for the <a href="/config/">Homeowner Login</a> page?</p>'
         end
      elseif request:uri() == "/config/" then
         if userType == "admin" then
            response:write'<p>Are you looking for the <a href="/admin/">Server Administrator Login</a> page?</p>'
         end
      end
   end
end
?>
<form method="post" id="login_form">
    <div class="cred-username">
      <img src="../images/santa.png" alt="Santa" > <input type="text" name="ba_username" placeholder="Username" autocomplete="off" autofocus required tabindex="1" />
    </div>
    <div class="cred-password">
      <img src="../images/balls.png" alt="Santa" > <input type="password" name="ba_password" placeholder="Password" autocomplete="off" required tabindex="2" />
    </div>
    <div class="fieldset">
      <input type="hidden" name="ba_realm" value="Barracuda Server"/>
      <input type="hidden" name="ba_seed" value="<?lsp= authinfo.seed ?>"/>
      <input type="hidden" name="ba_seedkey" value="<?lsp= authinfo.seedkey ?>"/>
      <div class="button">
        <input type="button" id="ba_loginbut" value="Enter" tabindex="3"/>
      </div>
    </div>
</form>

<?lsp if authinfo.username then ?>
<ul class="useful-links">
<?lsp if notBefore and notAfter then ?>
<li><a href="/">Public Access</a></li>
<?lsp end ?>
<li><a href="/config/">Homeowner Login</a></li>
<li><a href="/admin/">Server Administrator Login</a></li>
</ul>
<?lsp end ?>
</div>

<div class="footer">
  <a target="help" id="helpb" href="../doc/manual.html"><img src="../images/help.png" alt="Help" /></a>
   <a href="../doc/"><img src="../images/footer-logo.png" alt="Real Time Logic" ></a>
</div>

</div>
</body>
</html>
