<?lsp
local cfgT=app.cfgfDomain(request:header"Host")
local notBefore,notAfter
if cfgT then
   notBefore=cfgT.time.notBefore
   notAfter=cfgT.time.notAfter
   if notBefore == notAfter then
      notBefore,notAfter=nil,nil
   end
end

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <title>Light Controller</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" type="text/css" href="LightController.css"/>
</head>
<body class="logged-in-page no-public-access">
  <div class="container">
    <div class="content-wrap">
      <h1 class="page-title">Public Access Disabled!</h1>
      <div class="pub-content">
        <?lsp
if notBefore and notAfter then
   response:write('<p>Public access is available between ',
                  notBefore,' and ',notAfter,'.</p>')
end
local userType = app.uTypeCookie(request)
if userType then
   response:write('<h2><a href="',
                  userType == "admin" and "admin/" or "config/",
                  '">Login</a></h2>')
end
         ?>
      </div>
    </div>
    <div class="footer">
      <a target="help" id="helpb" href="../doc/"><img src="../images/help.png" alt="Help" /></a>
      <a href="doc/"><img src="images/footer-logo.png" alt="Real Time Logic" /></a>
    </div>
  </div>
</body>
</html>
